$(document).ready(function () {

    $("#btnLoguear").click(function (e) {
        Autenticar();
        return true;
    });

    $("#username").keypress(function (e) {
        if (e.which == 13) {
            Autenticar();
        }
    });

    $("#pass").keypress(function (e) {
        if (e.which == 13) {
            Autenticar();
        }
    });

    document.addEventListener('keydown', function (event) {
        if (event.keyCode == 74 && event.ctrlKey) {
            event.preventDefault();
        }

    });

});

function Autenticar() {

    var error = "";
    var usuario = $("#username").val();
    var clave = $("#pass").val();
    var perfil = "";

    $.ajax({
        async: false,
        type: "POST",
        url: "/login",
        data: {
            usuario: usuario,
            clave: clave
        },
        success: function (result) {
            error = result.error;
            perfil = result.perfil;
        },
        error: function (errMsg) {
            MensajeError(errMsg.responseText);
        }
    });

    if (error != "")
        return MensajeError(error);

    window.location.href = "/facturas"
}
